# Create a Logging Sink Pub/Sub for the topic

1. Go to the Log Router page in the Google Cloud console.

![](/files/28FEAfbPhtWyQNsGfYhm)

2. Select the project to create the sink in. If you are using an aggregated sink, you will want to select a folder or an organization instead.

![](/files/Z2Xq3q1D2vSGOQg4dZmw)

3. Click **Create sink**.

![](/files/X1VG6WnutdwIuMV5zrMg)

4. While walking through the wizard steps, Select **Cloud Pub/Sub topic** for your **Sink Destination Service** and choose the topic you created in a previous step.

![](/files/KLGGIADtTSnOEffXCp4V)

Use the inclusion filter of `(resource.type="gce_subnetwork" AND log_id("compute.googleapis.com/ vpc_flows")) OR (resource.type="vpc_flow_logs_config" AND log_id("networkmanagement.googleapis.com/vpc_flows"))`

![](/files/KD3AgoWBM4ebuZzblkxu)

| Field                                  | Value                                                                           |
| -------------------------------------- | ------------------------------------------------------------------------------- |
| `Sink name`                            | Any value ( e.g. `neto-flowlogs-sink`)                                          |
| `Sink description`                     | Any value (e.g. Netography Fusion flow log ingest)                              |
| `Sink destination service type`        | `Cloud Pub/Sub topic`                                                           |
| `Sink destination Cloud Pub/Sub topic` | Create a topic or use topic created in previous step                            |
| `Inclusion filter`                     | `resource.type="gce_subnetwork" AND log_id("compute.googleapis.com/vpc_flows")` |

{% hint style="info" %}
If you are using org level configuration, you will need to make an agregated logging sink as well at the org level. Use the inclusion filter of `resource.type="vpc_flow_logs_config" AND log_id("networkmanagement.googleapis.com/vpc_flows")`
{% endhint %}

{% hint style="success" %}
**✅You're done!**
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fusion.vectra.ai/quick-start/quickstart-gcp/create-a-logging-sink-pubsub-for-the-topic.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
